{ lib
, ...
}:

with lib;
{
  options.my.terminal = {
    package = mkOption {
      description = "Terminal emulator package to use. Gets converted to path of bin automatically.";
      type = types.package;
      apply = lib.getExe;
    };
  };
}
